### Functions

## build_tree()

    build_tree($server, $dn, $buildtree)

### Parameters

#### $server

#### $dn

#### $buildtree

## copy_dn()

    copy_dn($serverSRC, $serverDST, $dnSRC, $dnDST, $remove)

### Parameters

#### $serverSRC

#### $serverDST

#### $dnSRC

#### $dnDST

#### $remove

## display_pla_parse_error()

    display_pla_parse_error($request)

### Parameters

#### $request

## getMustAttrs()

    getMustAttrs($oclasses)

### Parameters

#### $oclasses

## Helper function for fetching the line end format.

    get_line_end_format() : String

### Returns

`String`'win', 'unix', or 'mac' based on the user's browser..

## Gets the USER_AGENT string from the $_SERVER array, all in lower case in an E_NOTICE safe manner.

    get_user_agent_string() : string | false

### Returns

`string` `false`The user agent string as reported by the browser.

## Determine the OS for the browser

    is_browser($type)

### Parameters

#### $type

## pla_rdelete()

    pla_rdelete($server, $dn)

### Parameters

#### $server

#### $dn

## r_copy_dn()

    r_copy_dn($serverSRC, $serverDST, $snapshottree, $dnSRC, $dnDST, $remove)

### Parameters

#### $serverSRC

#### $serverDST

#### $snapshottree

#### $dnSRC

#### $dnDST

#### $remove

### Classes and interfaces

# block¶

This class draws a block.

« More »

# page¶

This class controls the final output to the browser.

« More »

### Constants

## We will perform some sanity checking here, since this file is normally loaded first when users first access the application.

    APPCONFIG

## LIBDIR

    LIBDIR